| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::usrp::hbx::hbx_tune_map_item_t Struct Reference

`#include <uhd/usrp/hbx_tune_map_item.hpp>`

## Detailed Description

This struct holds an item of the HBX tune map. Depending on the requested tune frequency, an item of this struct would be selected to configure the TX signal path switches. This information should not be changed after initialization.

## Public Member Functions
bool | operator== (const hbx_tune_map_item_t &other) const

## Public Attributes
double | start_tune_freq
double | stop_tune_freq
uint8_t | rf_band
uint8_t | rf_band1_subband
uint8_t | rf_filter_branch
std::vector< uint8_t > | lo_filter_branch
size_t | rfdc_mode
uint8_t | admv_band
double | lo_divider

## Member Function Documentation

## ◆ operator==()

bool uhd::usrp::hbx::hbx_tune_map_item_t::operator== | ( | const hbx_tune_map_item_t & | other | ) | const
| inline

## Member Data Documentation

## ◆ admv_band

uint8_t uhd::usrp::hbx::hbx_tune_map_item_t::admv_band

## ◆ lo_divider

double uhd::usrp::hbx::hbx_tune_map_item_t::lo_divider

## ◆ lo_filter_branch

std::vector<uint8_t> uhd::usrp::hbx::hbx_tune_map_item_t::lo_filter_branch

## ◆ rf_band

uint8_t uhd::usrp::hbx::hbx_tune_map_item_t::rf_band

## ◆ rf_band1_subband

uint8_t uhd::usrp::hbx::hbx_tune_map_item_t::rf_band1_subband

## ◆ rf_filter_branch

uint8_t uhd::usrp::hbx::hbx_tune_map_item_t::rf_filter_branch

## ◆ rfdc_mode

size_t uhd::usrp::hbx::hbx_tune_map_item_t::rfdc_mode

## ◆ start_tune_freq

double uhd::usrp::hbx::hbx_tune_map_item_t::start_tune_freq

## ◆ stop_tune_freq

double uhd::usrp::hbx::hbx_tune_map_item_t::stop_tune_freq

The documentation for this struct was generated from the following file:

- hbx_tune_map_item.hpp